using System;

namespace Aitex.Core.RT.IOCore.Interlock.DataProvider;

public class AoValueProvider : IoValueProviderBase<AOAccessor>, IInterlockLimitDataProvider
{
    public AoValueProvider(AOAccessor io) : base(io)
    {
    }

    /// <summary>
    /// 返回指定AI的FloatValue。
    /// </summary>
    /// <returns></returns>
    public override object GetValue()
    {
        return Convert.ToDouble(Io.Value);
    }
}